<!-- AUTOGENERATED BY glean_parser v8.1.1. DO NOT EDIT. -->

# Metrics

This document enumerates the metrics collected by this project using the [Glean SDK](https://mozilla.github.io/glean/book/index.html).
This project may depend on other projects which also collect metrics.
This means you might have to go searching through the dependency tree to get a full picture of everything collected by this project.

# Pings

- [events](#events)

## events

This is a built-in ping that is assembled out of the box by the Glean SDK.

See the Glean SDK documentation for the [`events` ping](https://mozilla.github.io/glean/book/user/pings/events.html).

All Glean pings contain built-in metrics in the [`ping_info`](https://mozilla.github.io/glean/book/user/pings/index.html#the-ping_info-section) and [`client_info`](https://mozilla.github.io/glean/book/user/pings/index.html#the-client_info-section) sections.

In addition to those built-in metrics, the following metrics are added to the ping:

| Name | Type | Description | Data reviews | Extras | Expiration | [Data Sensitivity](https://wiki.mozilla.org/Firefox/Data_Collection) |
| --- | --- | --- | --- | --- | --- | --- |
| messaging.malformed |[event](https://mozilla.github.io/glean/book/user/metrics/event.html) |A message was malformed.  |[mozilla-mobile/fenix/issues/24224](https://github.com/mozilla-mobile/fenix/issues/24224), [mozilla-mobile/firefox-android#1101](https://github.com/mozilla-mobile/firefox-android/pull/1101)|<ul><li>message_key: The id of the message</li></ul>|never |2 |
| messaging.message_clicked |[event](https://mozilla.github.io/glean/book/user/metrics/event.html) |A message was clicked by the user.  |[mozilla-mobile/fenix/issues/24224](https://github.com/mozilla-mobile/fenix/issues/24224), [mozilla-mobile/firefox-android#1101](https://github.com/mozilla-mobile/firefox-android/pull/1101)|<ul><li>action_uuid: The uuid of the action</li><li>message_key: The id of the message</li></ul>|never |2 |
| messaging.message_dismissed |[event](https://mozilla.github.io/glean/book/user/metrics/event.html) |A message was dismissed by the user.  |[mozilla-mobile/fenix/issues/24224](https://github.com/mozilla-mobile/fenix/issues/24224), [mozilla-mobile/firefox-android#1101](https://github.com/mozilla-mobile/firefox-android/pull/1101)|<ul><li>message_key: The id of the message</li></ul>|never |2 |
| messaging.message_expired |[event](https://mozilla.github.io/glean/book/user/metrics/event.html) |A message maxDisplayCount has been surpassed.  |[mozilla-mobile/fenix/issues/24224](https://github.com/mozilla-mobile/fenix/issues/24224), [mozilla-mobile/firefox-android#1101](https://github.com/mozilla-mobile/firefox-android/pull/1101)|<ul><li>message_key: The id of the message</li></ul>|never |2 |
| messaging.message_shown |[event](https://mozilla.github.io/glean/book/user/metrics/event.html) |A message was shown to the user.  |[mozilla-mobile/fenix#24426](https://github.com/mozilla-mobile/fenix/pull/24426), [mozilla-mobile/firefox-android#1101](https://github.com/mozilla-mobile/firefox-android/pull/1101)|<ul><li>message_key: The id of the message</li></ul>|never |2 |

Data categories are [defined here](https://wiki.mozilla.org/Firefox/Data_Collection).

<!-- AUTOGENERATED BY glean_parser v8.1.1. DO NOT EDIT. -->

